#%define        fileversion  III-%(echo %version | cut -d. -f 2-3)
Name:          cdparanoia
Epoch:         1
Version:       10.2
Release:       3mamba
Summary:       Cdparanoia extracts audio from compact discs directly as data
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.xiph.org/paranoia/
Source:        http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-%{version}.src.tgz
Patch0:        cdparanoia-3.10.2-gcc43.patch
Patch1:        cdparanoia-3.10.2-endian.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      cdparanoia-III
Obsoletes:     cdparanoia-III <= 1:10.2-2mamba

%description
Cdparanoia extracts audio from compact discs directly as data, with no analog step between, and writes the data to a file or pipe in WAV, AIFC, AIFC or raw 16 bit linear PCM.

%package -n lib%{name}
Summary:       Library to read CD Digital Audio disks
Group:         System/Libraries

%description -n lib%{name}
Cdparanoia extracts audio from compact discs directly as data, with no analog step between, and writes the data to a file or pipe in WAV, AIFC, AIFC or raw 16 bit linear PCM.
This package contains shared libraries needed for applications which read CD Digital Audio disks.

%package -n lib%{name}-devel
Summary:       Static libraries and headers for lib%{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      cdparanoia-III-devel
Obsoletes:     cdparanoia-III-devel <= 1:10.2-2mamba

%description -n lib%{name}-devel
Cdparanoia extracts audio from compact discs directly as data, with no analog step between, and writes the data to a file or pipe in WAV, AIFC, AIFC or raw 16 bit linear PCM.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n %{name}-III-%{version}
%patch0 -p1
%patch1 -p1
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," configure.sub

%build
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall \
   BINDIR=%{buildroot}%{_bindir} \
   LIBDIR=%{buildroot}%{_libdir} \
   INCLUDEDIR=%{buildroot}%{_includedir} \
   MANDIR=%{buildroot}%{_mandir}

chmod +x %{buildroot}%{_libdir}/libcdda*.so.*

%post   -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/cdparanoia.*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libcdda_interface.so.*
%{_libdir}/libcdda_paranoia.so.*
%doc COPYING*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libcdda_interface.a
%{_libdir}/libcdda_interface.so
%{_libdir}/libcdda_paranoia.a
%{_libdir}/libcdda_paranoia.so
%doc README

%changelog
* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2-3mamba
- URL updated (closes #1 )

* Thu Dec 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2-2mamba
- rebuilt with debug package and aarch64 build fix

* Mon Jul 30 2012 Automatic Build System <autodist@mambasoft.it> 10.2-1mamba
- update to 10.2

* Thu Apr 08 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.10.2-3mamba
- changed package name to cdparanoia
- new package libcdparanoia

* Wed May 13 2009 gil <puntogil@libero.it> 10.2-2mamba
- added patch to make compatible with gcc 4.3 ('private' becoming a reserved keyword)
- added patch to avoid big-endian crash

* Wed Apr 15 2009 gil <puntogil@libero.it> 10.2-1mamba
- update to 10.2

* Tue Apr 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 9.8-4mamba
- specfile updates

* Wed May 10 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 9.8-3qilnx
- specfile fixed and updated

* Thu Oct 28 2004 Silvan Calarco <silvan.calarco@qinet.it> 9.8-2qilnx
- rebuild with gcc 3.4 (patch added)

* Fri Jul 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 9.8-1qilnx
- first build for cdparanoia-III
